/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Cboard            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef BOARD_H_
#define BOARD_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include "colour.h"
#include "move.h"
/* Define Array */
#define HIGH 9
#define LOW 9
/* Define Buffer */
#define MOV 30

//-----------------------------------------------------------------------------

class Cboard
{	
public:	
	/* Player */
	char player[10];
	char nmove[MOV];
	short int count;
	float DUMP;
	float HORIZ;
	float VERTI;

	/* Class Move */
	struct uciMove
	{
		/* Move */
		char fxdec;
		char fydec;
		char txdec;
		char tydec;
		short int fxm;
		short int txm;
		short int fym;
		short int tym;
		short int tzm;

	}mov1, mov8;

	/* Class Engine */
	struct uciEngine
	{
		/* Time */
		short int time;
		/* Clock */
		double diff;
		short int horas;
		short int minutes; 
		short int seconds;
		time_t start;
		time_t stop;

	}etime, wtime, btime;

	/* Function */
	Cboard();
	void displayBoard(char *chess);
};

//-----------------------------------------------------------------------------

#endif


