/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Colour            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
/* Header Files */
#include "colour.h"

/*---------------------------------------------------------------------------*/

/* Color Chess Board */
void colour_Board()
{	
	/* Colors */
	initscr();
	start_color();
	
	/* Double Color Pairs */
	init_pair(1,COLOR_RED,COLOR_CYAN);
	init_pair(2,COLOR_RED,COLOR_BLUE);
	init_pair(3,COLOR_RED,COLOR_GREEN);
	init_pair(4,COLOR_WHITE,COLOR_CYAN);
	init_pair(5,COLOR_WHITE,COLOR_BLUE);
	init_pair(6,COLOR_WHITE,COLOR_GREEN);
	init_pair(7,COLOR_BLUE,COLOR_WHITE);
	
	/* Transparent Color Pairs */
	init_pair(10,COLOR_YELLOW,-1);
	init_pair(11,COLOR_RED,-1);
	
	curs_set(0);
	keypad(stdscr,1);
}

/*---------------------------------------------------------------------------*/
